Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface NotificationFilter

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AttributeChangeNotificationFilter, MBeanServerNotificationFilter, NotificationFilterSupport

    public interface NotificationFilter

extends Serializable

To be implemented by a any class acting as a notification filter. It allows a registered notification listener to filter the notifications of interest.

Since:
  1.5

Method Summary
`boolean` | `isNotificationEnabled(Notification notification)` Invoked before sending the specified notification to the listener.

Method Detail

### isNotificationEnabled

    boolean isNotificationEnabled(Notification notification)

  Invoked before sending the specified notification to the listener.

  Parameters:
    `notification` - The notification to be sent.
  Returns:
    `true` if the notification has to be sent to the listener, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.